Data Fields

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

- All
- Functions
- Variables
- Typedefs
- Related Functions

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z
- ~

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - d -

- d : _Edje_External_Param , _Edje_External_Param_Info
- d_mode : dirent
- d_name : dirent
- d_type : dirent
- damage_rectangle_add() : evas::canvas
- data : _Ecore_Con_Event_Client_Data , _Ecore_Con_Event_Server_Data , _Ecore_Con_Event_Url_Data , _Ecore_Event_Key , _Ecore_Event_Signal_Exit , _Ecore_Event_Signal_Hup , _Ecore_Event_Signal_Power , _Ecore_Event_Signal_Realtime , _Ecore_Event_Signal_User , _Ecore_Exe_Event_Data , _Ecore_Exe_Event_Del , _Ecore_Getopt_Desc_Callback , _Ecore_Ipc_Event_Client_Data , _Ecore_Ipc_Event_Server_Data , _Edje_External_Type , _Eeze_Sensor_Obj , _Eina_Array , _Eina_Hash_Tuple , _Eina_List , _Evas_Native_Surface , _Old_Edje_File , _Old_Edje_Part_Collection , efl::eina::stringshare , Efreet_Ini
- data_get() : edje::object , evas::image
- data_set() : evas::canvas3d::texture , evas::image
- data_size : _Eet_Entry , _Eo_Class_Description
- data_update_add() : evas::image
- dbg_info_get() : efl::eo::concrete , eo::base
- dbus_activatable : _Efreet_Desktop
- dead_map : _Eina_File
- debug() : efl::eina::mutex
- def : _Ecore_Getopt_Desc_Store , _Edje_External_Param_Info
- default_desc : _Old_Edje_Part
- default_get : _Eldbus_Service_Interface_Desc
- default_set : _Eldbus_Service_Interface_Desc
- del : _Ecore_IMF_Context_Class , _Evas_Smart_Class , _Evas_Smart_Interface
- delay() : ecore::timer
- delete_me : _Eina_File
- deleted : _Eina_Log_Domain
- deny_fmt : _Edje_External_Param_Info
- depth_bits : _Evas_GL_Config
- desc : _Eina_Value_Struct
- description : _Ecore_Getopt
- description_get : _Edje_External_Type
- descs : _Ecore_Getopt , _Eo_Class_Description
- desktop : Efreet_Menu
- dest : _Eio_Progress
- detach() : efl::eina::thread
- dev : _Eina_Stat
- dev_class : _Ecore_IMF_Event_Key_Down , _Ecore_IMF_Event_Key_Up
- dev_name : _Ecore_IMF_Event_Key_Down , _Ecore_IMF_Event_Key_Up
- dev_subclass : _Ecore_IMF_Event_Key_Down , _Ecore_IMF_Event_Key_Up
- device : _Ecore_Event_Mouse_Button , _Ecore_Event_Mouse_Move , _Evas_Event_Multi_Down , _Evas_Event_Multi_Move , _Evas_Event_Multi_Up
- difference_type : efl::eina::_common_iterator_base< T > , efl::eina::_const_range_template< T, Traits > , efl::eina::_inlist_iterator< T > , efl::eina::_nonpod_inarray< T > , efl::eina::_pod_inarray< T > , efl::eina::_range_template< T, Traits > , efl::eina::accessor_iterator< T, typename std::enable_if< !std::is_base_of<::efl::eo::concrete, T >::value, T >::type > , efl::eina::accessor_iterator< T, typename std::enable_if< std::is_base_of<::efl::eo::concrete, T >::value, T >::type > , efl::eina::array< T, CloneAllocator, Enable > , efl::eina::array< T, CloneAllocator, typename std::enable_if< std::is_base_of<::efl::eo::concrete, T >::value >::type > , efl::eina::inlist< T, Allocator > , efl::eina::iterator< T > , efl::eina::ptr_array< T, CloneAllocator > , efl::eina::ptr_list< T, CloneAllocator >
- diffuse_get() : evas::canvas3d::light
- diffuse_set() : evas::canvas3d::light
- direction : _Ecore_Event_Mouse_Wheel
- directories : Efreet_Icon_Theme
- dirty_get() : evas::canvas3d::object
- disengage() : efl::eina::optional< T >
- domain_str : _Eina_Log_Domain
- double_click : _Ecore_Event_Mouse_Button , _Ecore_Psl1ght_Event_Mouse_Button_Down , _Ecore_Psl1ght_Event_Mouse_Button_Up , _Ecore_Sdl_Event_Mouse_Button_Down , _Ecore_Sdl_Event_Mouse_Button_Up
- double_width : _Evas_Textgrid_Cell
- doublep : _Ecore_Getopt_Value
- doublev : _Ecore_Getopt_Desc_Store
- down : _Ecore_Con_Event_Url_Progress
- dragable : _Old_Edje_Part
- draggable_interface() : evas::draggable_interface
- dup() : efl::gfx::shape , efl::vg::base